<app-loading *ngIf="isLoadingPage"></app-loading>
<form nz-form [formGroup]="form">
    <div nz-row [nzGutter]="[30,30]">

        <!-- Từ ngày -->
        <div nz-col [nzXs]="12" [nzLg]="12">
            <mb-date-picker
                mbLabelText="{{'staffManager.staffResearch.concurrentProcess.label.fromDate' | translate}} <span class='label__required'>*</span>"
                [formControlName]="'fromDate'"


                [mbType]="(isSubmitted && form.controls['fromDate'].errors || form.errors?.rangeDateError) ? 'error' : 'default'"
                [mbShowError]="(isSubmitted && form.controls['fromDate'].errors || form.errors?.rangeDateError) !== null"
                [mbErrors]="form.errors?.rangeDateError ? form.errors : form.controls['fromDate'].errors"
                [mbErrorDefs]="[
	                  { errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param':'staffManager.workHisInformation.label.attributes.fromDate' | translate }},
	                  { errorName: 'rangeDateError', errorDescription: 'staffManager.validate.rangeDate.pareDate' | translate:
                {'fromDate': 'staffManager.staffResearch.concurrentProcess.label.fromDate' | translate, 'toDate': 'staffManager.staffResearch.concurrentProcess.label.toDate' | translate}}
                ]"
            ></mb-date-picker>
        </div>
        <!--End: Từ ngày -->

        <!-- Đến ngày -->
        <div nz-col [nzXs]="12" [nzLg]="12">
            <mb-date-picker
                mbLabelText="{{'staffManager.staffResearch.concurrentProcess.label.toDate' | translate}}"
                [formControlName]="'toDate'"
            ></mb-date-picker>
        </div>
        <!--End: Đến ngày -->

    </div>

    <div nz-row [nzGutter]="[30,30]">

        <!-- Số QĐ -->
        <div nz-col [nzXs]="12" [nzLg]="12">
            <mb-input-text
                mbLabelText="{{'staffManager.staffResearch.concurrentProcess.label.documentNo' | translate}}"
                mbPlaceholderText="{{'staffManager.staffResearch.concurrentProcess.label.documentNo' | translate}}"
                [mbMaxLength]="50"
                [formControlName]="'documentNo'"
            ></mb-input-text>
        </div>
        <!--End: Số QĐ -->

        <!-- Ngày ký QĐ -->
        <div nz-col [nzXs]="12" [nzLg]="12">
            <mb-date-picker
                mbLabelText="{{'staffManager.staffResearch.concurrentProcess.label.signedDate' | translate}}"
                [formControlName]="'signedDate'"
            ></mb-date-picker>
        </div>
        <!--End: Ngày ký QĐ -->

    </div>

    <div nz-row [nzGutter]="[30,30]">

        <!-- Đối tượng công việc -->
        <div nz-col [nzXs]="12" [nzLg]="12">
            <mb-select
                [mbDataSelects]="listEmpType"
                mbKeyLabel="label"
                mbKeyValue="value"

                mbLabelText="{{'staffManager.staffResearch.concurrentProcess.label.empTypeCode' | translate}} <span class='label__required'>*</span>"
                mbPlaceholder="{{'staffManager.staffResearch.concurrentProcess.label.empTypeCode' | translate}}"
                [formControlName]="'empTypeCode'"

                [mbType]="isSubmitted && form.controls['empTypeCode'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['empTypeCode'].errors !== null"
                [mbErrors]="form.controls['empTypeCode'].errors"
                [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.staffResearch.concurrentProcess.label.empTypeCode' | translate }}]"
            ></mb-select>
        </div>
        <!--End: Đối tượng công việc -->

        <!-- Đơn vị -->
        <div nz-col [nzXs]="12" [nzLg]="12">
            <org-data-picker
                mbLabelText="{{'staffManager.staffResearch.concurrentProcess.label.org' | translate}} <span class='label__required'>*</span>"
                [formControlName]="'org'"

                [mbType]="isSubmitted && form.controls['org'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['org'].errors !== null"
                [mbErrors]="form.controls['org'].errors"
                [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.staffResearch.concurrentProcess.label.org' | translate }}]"
            ></org-data-picker>
        </div>
        <!--End: Đơn vị -->

    </div>

    <div nz-row [nzGutter]="[30,30]">
        <!-- Chức danh -->
        <div nz-col [nzXs]="12" [nzLg]="12">
            <mb-select
                [mbDataSelects]="listPosition"
                mbKeyLabel="jobName"
                mbKeyValue="posId"
                (mbEventEmit)="changePosition($event)"
                mbLabelText="{{'staffManager.staffResearch.concurrentProcess.label.positionId' | translate}} <span class='label__required'>*</span>"
                mbPlaceholder="{{'staffManager.staffResearch.concurrentProcess.label.positionId' | translate}}"
                [formControlName]="'positionId'"

                [mbType]="isSubmitted && form.controls['positionId'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['positionId'].errors !== null"
                [mbErrors]="form.controls['positionId'].errors"
                [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.staffResearch.concurrentProcess.label.positionId' | translate }}]"
            ></mb-select>
        </div>
        <!--End: Chức danh -->

        <!-- Nhóm vị trí -->
        <div nz-col [nzXs]="12" [nzLg]="12">
            <mb-select
                [mbDataSelects]="listPositionGroup"
                formControlName="positionGroupId"
                mbLabelText="{{'staffManager.workHisInformation.label.attributes.positionGroup' | translate}}  <span class='label__required'>*</span>"
                mbPlaceholder="{{'staffManager.workHisInformation.label.attributes.positionGroup' | translate}}"
                [mbType]="isSubmitted && form.controls['positionGroupId'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['positionGroupId'].errors !== null"
                [mbErrors]="form.controls['positionGroupId'].errors"
                [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.workHisInformation.label.attributes.positionGroup' | translate }}]"
            ></mb-select>
        </div>

        <!-- Bậc Chức danh -->
        <div nz-col [nzXs]="12" [nzLg]="12" class="positionLevel">
            <mb-select
                [mbDataSelects]="listPositionLevel"
                formControlName="positionLevel"
                mbLabelText="{{'staffManager.workHisInformation.label.attributes.positionLevel' | translate}}"
                mbPlaceholder="{{'staffManager.workHisInformation.label.attributes.positionLevel' | translate}}"
            ></mb-select>
        </div>
    </div>

    <div nz-row [nzGutter]="[30,30]">
        <!-- Ghi chú -->
        <div nz-col [nzXs]="24" [nzLg]="24">
            <mb-input-text
                [mbIsTextAre]="true"
                [mbMaxLength]="500"
                mbLabelText="{{'staffManager.staffResearch.concurrentProcess.label.note' | translate}}"
                mbPlaceholderText="{{'staffManager.staffResearch.concurrentProcess.label.note' | translate}}"
                [formControlName]="'note'"
            ></mb-input-text>
        </div>
        <!--End: Ghi chú -->
    </div>

    <!-- File đính kèm -->
    <div nz-row [nzGutter]="[30,30]">
        <div nz-col [nzXs]="24" [nzLg]="24" class="datepicker__group">
            <label class="input__label">{{'staffManager.label.file' | translate}}</label>
            <mb-upload
                [(fileList)]="fileList"
                [(docIdsDelete)]="docIdsDelete"
                [mbConfig]="{viewDetail: true}"
                [mbMultiple]="true"
                [mbRequired]="false"
            ></mb-upload>
        </div>
    </div>
    <!--End: File đính kèm -->


</form>
